E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::StrImp::PrintableAppender< Tchar > Struct Template Reference

A character appender used by G::Str. More...

## Public Member Functions
| PrintableAppender (std::string &s_, Tchar escape_in_, char escape_out_, bool eight_bit_)
void | operator() (Tchar c)

## Public Attributes
std::string & | s
const Tchar | escape_in
const char | escape_out
const bool | eight_bit

## Detailed Description

template<typename Tchar>
struct G::StrImp::PrintableAppender< Tchar >

A character appender used by G::Str.

Definition at line 834 of file gstr.cpp.

## Constructor & Destructor Documentation

## ◆ PrintableAppender()

template<typename Tchar >

G::StrImp::PrintableAppender< Tchar >::PrintableAppender | ( | std::string & | s_,
|  | Tchar | escape_in_,
|  | char | escape_out_,
|  | bool | eight_bit_
| ) |  |
| inline

Definition at line 840 of file gstr.cpp.

## Member Function Documentation

## ◆ operator()()

template<typename Tchar >

void G::StrImp::PrintableAppender< Tchar >::operator() | ( | Tchar | c | ) |
| inline

Definition at line 847 of file gstr.cpp.

## Member Data Documentation

## ◆ eight_bit

template<typename Tchar >

const bool G::StrImp::PrintableAppender< Tchar >::eight_bit

Definition at line 839 of file gstr.cpp.

## ◆ escape_in

template<typename Tchar >

const Tchar G::StrImp::PrintableAppender< Tchar >::escape_in

Definition at line 837 of file gstr.cpp.

## ◆ escape_out

template<typename Tchar >

const char G::StrImp::PrintableAppender< Tchar >::escape_out

Definition at line 838 of file gstr.cpp.

## ◆ s

template<typename Tchar >

std::string& G::StrImp::PrintableAppender< Tchar >::s

Definition at line 836 of file gstr.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gstr.cpp